rem ******** Disallow all permissions 
..\PDFSecure test.pdf perm-all.pdf -e128 -cadmin2 -type=p,phi,p150,cd,cc,c,da,cca,fff

rem ******** Disallow all print permissions
..\PDFSecure test.pdf perm-p.pdf -e128 -cadmin2 -type=p,phi,p150

rem ******** Disallow print permissions except low quality print
..\PDFSecure test.pdf perm-p150.pdf -e128 -cadmin2 -type=phi

rem ******** Disallow changing the document
..\PDFSecure test.pdf perm-cd.pdf -e128 -cadmin2 -type=cd

rem ******** Disallow document Assembly (also must include changing the document)
..\PDFSecure test.pdf perm-da.pdf -e128 -cadmin2 -type=da,cd

rem ******** Disallow content copying or extraction
..\PDFSecure test.pdf perm-cc.pdf -e128 -cadmin2 -type=cc

rem ******** Disallow content extraction for accessibility (also must include content copying or extraction)
..\PDFSecure test.pdf perm-cca.pdf -e128 -cadmin2 -type=cca,cc

rem ******** Disallow commenting (also must include filling of form fields)
..\PDFSecure test.pdf perm-c.pdf -e128 -cadmin2 -type=c,fff

rem ******** Disallow filling of form fields (also must include commenting & changing the document)
..\PDFSecure test.pdf perm-fff.pdf -e128 -cadmin2 -type=fff,c,cd

rem ******** Disallow signing  (also must include filling of form fields, commenting & changing the document)
..\PDFSecure test.pdf perm-s.pdf -e128 -cadmin2 -type=fff,c,cd
..\PDFSecure test.pdf perm-s2.pdf -e128 -cadmin2 -type=s

rem ******** Disallow creation of template pages (also must include changing the document & filling of form fields)
..\PDFSecure test.pdf perm-ctp.pdf -e128 -cadmin2 -type=cd,fff
..\PDFSecure test.pdf perm-ctp2.pdf -e128 -cadmin2 -type=ctp


pause